package com.zd.chemical.service;

import java.util.List;
import com.zd.chemical.domain.HxpAlarmConfig;
import com.zd.chemical.domain.vo.HxpAlarmConfigVo;

/**
 * 化学品报警配置Service接口
 *
 * @author liubo
 * @date 2022-06-16
 */
public interface IHxpAlarmConfigService
{
    /**
     * 查询化学品报警配置
     *
     * @param id 化学品报警配置主键
     * @return 化学品报警配置
     */
    public HxpAlarmConfig selectHxpAlarmConfigById(Long id);

    /**
     * 查询化学品报警配置列表
     *
     * @param hxpAlarmConfig 化学品报警配置
     * @return 化学品报警配置集合
     */
    public List<HxpAlarmConfig> selectHxpAlarmConfigList(HxpAlarmConfig hxpAlarmConfig);

    /**
     * 新增化学品报警配置
     *
     * @param hxpAlarmConfigVo 化学品报警配置
     * @return 结果
     */
    public int insertHxpAlarmConfig(HxpAlarmConfigVo hxpAlarmConfigVo);

    /**
     * 修改化学品报警配置
     *
     * @param hxpAlarmConfig 化学品报警配置
     * @return 结果
     */
    public int updateHxpAlarmConfig(HxpAlarmConfig hxpAlarmConfig);

    /**
     * 批量删除化学品报警配置
     *
     * @param ids 需要删除的化学品报警配置主键集合
     * @return 结果
     */
    public int deleteHxpAlarmConfigByIds(Long[] ids);

    /**
     * 删除化学品报警配置信息
     *
     * @param id 化学品报警配置主键
     * @return 结果
     */
    public int deleteHxpAlarmConfigById(Long id);


    /**
     * 查询化学品报警配置
     *
     * @param alarmDeptId 学院id
     * @return 化学品报警配置
     */
    public List<HxpAlarmConfig> getDeptDetail(Long alarmDeptId);
}
